
renderingOptions:
  submitButtonLabel: Submit
  fieldState:
    statictext-2:
      type: StaticText
      identifier: statictext-2
      label: 'Magyar Művészeti Kar'
      renderingOptions:
        deleted: 1
        listView: 1
    contentelement-1:
      label: 'Content element'
      type: ContentElement
      identifier: contentelement-1
      renderingOptions:
        deleted: 0
        listView: 1
    radiobutton-1:
      type: RadioButton
      identifier: radiobutton-1
      label: 'Szak:'
      renderingOptions:
        deleted: 0
        listView: 1
    text-2:
      type: Text
      identifier: text-2
      label: 'Személyazonossági igazolvány száma'
      renderingOptions:
        deleted: 0
        listView: 1
    telephone-1:
      type: Telephone
      identifier: telephone-1
      label: Telefon
      renderingOptions:
        deleted: 1
        listView: 0
    email-1:
      type: Email
      identifier: email-1
      label: Email
      renderingOptions:
        deleted: 1
        listView: 0
    text-1:
      type: Text
      identifier: text-1
      label: 'Név és Keresztnév'
      renderingOptions:
        deleted: 0
        listView: 0
    text-3:
      type: Text
      identifier: text-3
      label: 'Serie carte de identitate '
      renderingOptions:
        deleted: 1
        listView: 0
    text-4:
      type: Text
      identifier: text-4
      label: 'Număr carte de identitate'
      renderingOptions:
        deleted: 1
        listView: 0
    multicheckbox-1:
      type: MultiCheckbox
      identifier: multicheckbox-1
      label: 'Tudomásul vettem:'
      renderingOptions:
        deleted: 1
        listView: 0
    statictext-3:
      type: StaticText
      identifier: statictext-3
      label: ''
      renderingOptions:
        deleted: 0
        listView: 0
    statictext-5:
      type: StaticText
      identifier: statictext-5
      label: ''
      renderingOptions:
        deleted: 0
        listView: 0
    contentelement-2:
      label: 'Content element'
      type: ContentElement
      identifier: contentelement-2
      renderingOptions:
        deleted: 0
        listView: 0
    statictext-6:
      type: StaticText
      identifier: statictext-6
      label: ''
      renderingOptions:
        deleted: 0
        listView: 0
    fileupload-1:
      type: FileUpload
      identifier: fileupload-1
      label: 'Beiratkozási típuskérvény kitöltve, aláírva '
      renderingOptions:
        deleted: 1
        listView: 0
    fileupload-5:
      type: FileUpload
      identifier: fileupload-5
      label: 'PROBA  '
      renderingOptions:
        deleted: 1
        listView: 0
    fileupload-9:
      type: FileUpload
      identifier: fileupload-9
      label: 'Supliment de diplomă (toate paginile)'
      renderingOptions:
        deleted: 1
        listView: 0
    fileupload-2:
      type: FileUpload
      identifier: fileupload-2
      label: 'Születési bizonyítvány'
      renderingOptions:
        deleted: 1
        listView: 0
    fileupload-6:
      type: FileUpload
      identifier: fileupload-6
      label: 'Orvosi igazolás – (családorvostól)'
      renderingOptions:
        deleted: 1
        listView: 0
    fileupload-3:
      type: FileUpload
      identifier: fileupload-3
      label: 'Befizetési bizonylat – iratkozási díjról (100 RON vagy 7000 HUF)'
      renderingOptions:
        deleted: 1
        listView: 0
    fileupload-7:
      type: FileUpload
      identifier: fileupload-7
      label: '  Certificatul de căsătorie (dacă este cazul)'
      renderingOptions:
        deleted: 1
        listView: 0
    fileupload-4:
      type: FileUpload
      identifier: fileupload-4
      label: 'Érettségi bizonyítvány '
      renderingOptions:
        deleted: 1
        listView: 0
    fileupload-8:
      type: FileUpload
      identifier: fileupload-8
      label: 'Adatvédelmi nyilatkozat'
      renderingOptions:
        deleted: 1
        listView: 0
    fileupload-10:
      type: FileUpload
      identifier: fileupload-10
      label: 'Declarație privind protecția datelor personale'
      renderingOptions:
        deleted: 1
        listView: 0
    text-5:
      type: Text
      identifier: text-5
      label: 'Link download pentru anexele la dosar'
      renderingOptions:
        deleted: 1
        listView: 0
    statictext-7:
      type: StaticText
      identifier: statictext-7
      label: ''
      renderingOptions:
        deleted: 0
        listView: 0
    statictext-8:
      type: StaticText
      identifier: statictext-8
      label: ''
      renderingOptions:
        deleted: 1
        listView: 0
    checkbox-1:
      type: Checkbox
      identifier: checkbox-1
      label: 'Tudomásul vettem:'
      renderingOptions:
        deleted: 0
        listView: 0
    statictext-9:
      type: StaticText
      identifier: statictext-9
      label: ''
      renderingOptions:
        deleted: 0
        listView: 0
    contentelement-3:
      label: 'Content element'
      type: ContentElement
      identifier: contentelement-3
      renderingOptions:
        deleted: 0
        listView: 0
    gridrow-1:
      type: GridRow
      identifier: gridrow-1
      label: 'Grid: Row'
      renderingOptions:
        listView: 0
        deleted: 0
    gridrow-2:
      type: GridRow
      identifier: gridrow-2
      label: 'Grid: Row'
      renderingOptions:
        listView: 0
        deleted: 1
    gridrow-3:
      type: GridRow
      identifier: gridrow-3
      label: 'Grid: Row'
      renderingOptions:
        listView: 0
        deleted: 0
    checkbox-2:
      type: Checkbox
      identifier: checkbox-2
      label: 'Felelősséget vállalok az általam közölt adatok hitelességéért.'
      renderingOptions:
        deleted: 0
        listView: 0
    checkbox-3:
      type: Checkbox
      identifier: checkbox-3
      label: 'Felelek a feltöltött dokumentumok helyességéért és hitelességéért. Elolvastam és tudomásul vettem a Felvételi szabályzatot.'
      renderingOptions:
        deleted: 0
        listView: 0
    fieldset-1:
      type: Fieldset
      identifier: fieldset-1
      label: Fieldset
      renderingOptions:
        deleted: 1
        listView: 0
type: Form
identifier: iratkozasMA
label: 'Felvételi iratkozás MA'
prototypeName: standard
finishers:
  -
    identifier: FormToDatabase
  -
    options:
      subject: 'Jelentkezo Mesteri HU'
      recipientAddress: felveteli@uat.ro
      recipientName: 'Uat-Jelentkezo Mesteri HU'
      senderAddress: '{email-1}'
      senderName: '{text-1}'
      replyToAddress: ''
      carbonCopyAddress: ''
      blindCarbonCopyAddress: ''
      format: html
      attachUploads: true
      translation:
        language: default
    identifier: EmailToReceiver
  -
    options:
      subject: 'Felveteli iratkozas MA - visszaigazolas'
      recipientAddress: '{email-1}'
      recipientName: '{text-1}'
      senderAddress: felveteli@uat.ro
      senderName: UAT
      replyToAddress: '{email-1}'
      carbonCopyAddress: ''
      blindCarbonCopyAddress: ''
      format: html
      attachUploads: false
    identifier: EmailToSender
  -
    options:
      message: 'Magiszteri jelentkezés - elküldve'
      contentElementUid: ''
    identifier: Confirmation
renderables:
  -
    renderingOptions:
      previousButtonLabel: 'Previous step'
      nextButtonLabel: 'Next step'
    type: Page
    identifier: page-1
    label: '1 Személyes adatok'
    renderables:
      -
        label: 'Content element'
        properties:
          contentElementUid: '1117'
        type: ContentElement
        identifier: contentelement-1
      -
        properties:
          options:
            Drámaírás: Drámaírás
            'Alkalmazott bábművészet': 'Alkalmazott bábművészet'
            'Művészetek és új média': 'Művészetek és új média'
            'Korszerű zenei koncepciók': 'Korszerű zenei koncepciók'
          fluidAdditionalAttributes:
            required: required
        type: RadioButton
        identifier: radiobutton-1
        label: 'Szak:'
        validators:
          -
            identifier: NotEmpty
      -
        defaultValue: ''
        type: Text
        identifier: text-1
        label: 'Név és Keresztnév'
        properties:
          fluidAdditionalAttributes:
            required: required
          gridColumnClassAutoConfiguration:
            viewPorts:
              lg:
                numbersOfColumnsToUse: '6'
        validators:
          -
            identifier: NotEmpty
      -
        defaultValue: ''
        type: Text
        identifier: text-2
        label: 'Személyazonossági igazolvány száma'
        properties:
          fluidAdditionalAttributes:
            required: required
            minlength: '8'
            maxlength: '9'
          gridColumnClassAutoConfiguration:
            viewPorts:
              lg:
                numbersOfColumnsToUse: '12'
          validationErrorMessages:
            -
              code: 1238110957
              message: 'String lenght'
            -
              code: 1269883975
              message: 'String lenght'
            -
              code: 1428504122
              message: 'String lenght'
            -
              code: 1238108068
              message: 'String lenght'
            -
              code: 1238108069
              message: 'String lenght'
        validators:
          -
            identifier: NotEmpty
          -
            options:
              minimum: '8'
              maximum: '9'
            identifier: StringLength
      -
        type: GridRow
        identifier: gridrow-1
        label: 'Grid: Row'
        renderables:
          -
            defaultValue: ''
            type: Telephone
            identifier: telephone-1
            label: Telefon
            properties:
              fluidAdditionalAttributes:
                required: required
              gridColumnClassAutoConfiguration:
                viewPorts:
                  lg:
                    numbersOfColumnsToUse: '6'
            validators:
              -
                identifier: NotEmpty
          -
            defaultValue: ''
            type: Email
            identifier: email-1
            label: Email
            properties:
              gridColumnClassAutoConfiguration:
                viewPorts:
                  lg:
                    numbersOfColumnsToUse: '6'
              fluidAdditionalAttributes:
                required: required
            validators:
              -
                identifier: EmailAddress
              -
                identifier: NotEmpty
      -
        type: Checkbox
        identifier: checkbox-2
        label: 'Felelősséget vállalok az általam közölt adatok hitelességéért.'
        properties:
          fluidAdditionalAttributes:
            required: required
        validators:
          -
            identifier: NotEmpty
      -
        type: Checkbox
        identifier: checkbox-3
        label: 'Felelek a feltöltött dokumentumok helyességéért és hitelességéért. Elolvastam és tudomásul vettem a Felvételi szabályzatot.'
        properties:
          fluidAdditionalAttributes:
            required: required
        validators:
          -
            identifier: NotEmpty
      -
        properties:
          text: 'A továbblépéshez minden mező kitöltése kötelező.'
        type: StaticText
        identifier: statictext-3
        label: ''
  -
    renderingOptions:
      previousButtonLabel: 'Previous step'
      nextButtonLabel: 'Next step'
    type: Page
    identifier: page-2
    label: '2. Dokumentumok'
    renderables:
      -
        properties:
          text: 'Magiszteri képzés - 2 év - nappali'
        type: StaticText
        identifier: statictext-5
        label: ''
      -
        label: 'Content element'
        properties:
          contentElementUid: '1124'
        type: ContentElement
        identifier: contentelement-2
      -
        properties:
          text: 'A feltöltött fájlok összmérete nem lehet több, mint 2 Mb.'
        type: StaticText
        identifier: statictext-6
        label: ''
      -
        type: GridRow
        identifier: gridrow-3
        label: 'Grid: Row'
        renderables:
          -
            properties:
              saveToFileMount: '1:/user_upload/'
              allowedMimeTypes:
                - application/msword
                - application/vnd.openxmlformats-officedocument.wordprocessingml.document
                - application/pdf
              fluidAdditionalAttributes:
                required: required
              gridColumnClassAutoConfiguration:
                viewPorts:
                  lg:
                    numbersOfColumnsToUse: '6'
            type: FileUpload
            identifier: fileupload-1
            label: 'Beiratkozási típuskérvény kitöltve, aláírva '
            validators:
              -
                identifier: NotEmpty
          -
            properties:
              saveToFileMount: '1:/user_upload/'
              allowedMimeTypes:
                - application/msword
                - application/vnd.openxmlformats-officedocument.wordprocessingml.document
                - application/pdf
              fluidAdditionalAttributes:
                required: required
            type: FileUpload
            identifier: fileupload-4
            label: 'Érettségi bizonyítvány '
            validators:
              -
                identifier: NotEmpty
          -
            properties:
              saveToFileMount: '1:/user_upload/'
              allowedMimeTypes:
                - application/msword
                - application/vnd.openxmlformats-officedocument.wordprocessingml.document
                - application/pdf
              gridColumnClassAutoConfiguration:
                viewPorts:
                  lg:
                    numbersOfColumnsToUse: '6'
              fluidAdditionalAttributes:
                required: required
            type: FileUpload
            identifier: fileupload-2
            label: 'Születési bizonyítvány'
            validators:
              -
                identifier: NotEmpty
          -
            properties:
              saveToFileMount: '1:/user_upload/'
              allowedMimeTypes:
                - application/msword
                - application/vnd.openxmlformats-officedocument.wordprocessingml.document
                - application/pdf
              gridColumnClassAutoConfiguration:
                viewPorts:
                  lg:
                    numbersOfColumnsToUse: '6'
              fluidAdditionalAttributes:
                required: required
            type: FileUpload
            identifier: fileupload-6
            label: 'Orvosi igazolás – (családorvostól)'
            validators:
              -
                identifier: NotEmpty
          -
            properties:
              saveToFileMount: '1:/user_upload/'
              allowedMimeTypes:
                - application/msword
                - application/vnd.openxmlformats-officedocument.wordprocessingml.document
                - application/pdf
              gridColumnClassAutoConfiguration:
                viewPorts:
                  lg:
                    numbersOfColumnsToUse: '6'
              elementDescription: 'készpénzben is fizethető a felvételi-időszakban'
            type: FileUpload
            identifier: fileupload-3
            label: 'Befizetési bizonylat – iratkozási díjról (100 RON vagy 7000 HUF)'
          -
            properties:
              saveToFileMount: '1:/user_upload/'
              allowedMimeTypes:
                - application/msword
                - application/vnd.openxmlformats-officedocument.wordprocessingml.document
                - application/pdf
              gridColumnClassAutoConfiguration:
                viewPorts:
                  lg:
                    numbersOfColumnsToUse: '6'
              fluidAdditionalAttributes:
                required: required
            type: FileUpload
            identifier: fileupload-8
            label: 'Adatvédelmi nyilatkozat'
            validators:
              -
                identifier: NotEmpty
      -
        properties:
          text: "A beiratkozási típuskérvény letölthető innen:\nhttps://www.szini.ro/felveteli/a-felveteli-szabalyzata"
        type: StaticText
        identifier: statictext-7
        label: ''
      -
        type: Checkbox
        identifier: checkbox-1
        label: 'Tudomásul vettem:'
        properties:
          fluidAdditionalAttributes:
            required: required
          elementDescription: 'A bejutó jelentkezők személyesen kell a helyüket visszaigazolják a megadott határidőig, az iratkozási dosszié leadásával, amely tartalmazza eredetiben az összes elektronikusan feltöltött iratot.'
        validators:
          -
            identifier: NotEmpty
      -
        properties:
          text: 'Figyelem! A követelményekben előírt művészi projektet vagy más kiegészítő iratot az ott megadott e-mail címre kell elküldeni, az iratkozással egyidőben.'
        type: StaticText
        identifier: statictext-9
        label: ''
  -
    renderingOptions:
      previousButtonLabel: 'Previous step'
      nextButtonLabel: 'Next step'
    type: Page
    identifier: page-3
    label: '3 Elküldés'
    renderables:
      -
        label: 'Content element'
        properties:
          contentElementUid: '1128'
        type: ContentElement
        identifier: contentelement-3
